Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Apply one patch to up to 100 existing issues (updates, not creates)

POST/workspaces/{organizationId}/issues/batch
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
idsstring[]required
min items 1 · max items 100
patchobjectrequired
Show properties
titlestring
min length 1
externalRefstring | null
min length 1 · max length 255
teamIdstring
teamKeystring
descriptionstring | null
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystring
Allowed:lowmediumhighurgent
resolutionstring | null
Allowed:duplicatenot_plannedintended_behaviornot_reproducibleobsoleteresolvedskippednull
resolutionReasonstring | null
parentIdstring | null
subIssueSortOrdernumber | null
estimateinteger | null
min 0
isDraftboolean
sensitiveboolean
templateIdstring
snoozedUntilstring | null
assigneeIdstring | null
delegateIdstring | null
stepKeystring | null
requiredboolean
ownerAgentstring | null
projectIdstring | null
cycleIdstring | null
labelIdsstring[] | null
repostring | null
branchstring | null
prUrlstring<uri> | null
prStatestring | null
Allowed:draftopenmergedclosednull
stageGateOverrideobject
Show properties
reasonstringrequired
min length 1 · max length 2000
Responses
200

Issues updated

issuesIssue[]required
Show properties
Array of Issue
idstringrequired
organizationIdstringrequired
externalRefstring | nullrequired
teamIdstringrequired
titlestringrequired
descriptionstring | nullrequired
statusstringrequired
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystringrequired
Allowed:lowmediumhighurgent
resolutionstring | nullrequired
Allowed:duplicatenot_plannedintended_behaviornot_reproducibleobsoleteresolvedskippednull
resolutionReasonstring | nullrequired
parentIdstring | nullrequired
subIssueSortOrdernumber | nullrequired
estimatenumber | nullrequired
isDraftbooleanrequired
sensitivebooleanrequired
snoozedUntilstring | nullrequired
assigneeIdstring | nullrequired
delegateIdstring | nullrequired
stepKeystring | nullrequired
requiredbooleanrequired
ownerAgentstring | nullrequired
claimedBystring | nullrequired
claimedLeaseExpiresAtstring | nullrequired
claimEpochnumberrequired
projectIdstring | nullrequired
cycleIdstring | nullrequired
labelIdsstring[]required
numbernumber | nullrequired
identifierstring | nullrequired
repostring | nullrequired
branchstring | nullrequired
prUrlstring | nullrequired
prStatestring | nullrequired
prCheckStatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
subStepProgressobject | null
Show properties
totalintegerrequired
doneintegerrequired
blockedintegerrequired
ownerAgentstring | nullrequired
draftsDraftOutput[]required
Show properties
Array of DraftOutput
idstringrequired
organizationIdstringrequired
entityTypestringrequired
entityIdstringrequired
issueIdstring | nullrequired
kindstringrequired
Allowed:commentfield_changemessageartifact
payloadobjectrequired
statusstringrequired
Allowed:pendingpublisheddiscarded
createdByIdstring | nullrequired
sessionIdstring | nullrequired
reviewedByIdstring | nullrequired
reviewedAtstring | nullrequired
reviewNotestring | nullrequired
publishedCommentIdstring | nullrequired
agentSlugstring | nullrequired
promptVersionstring | nullrequired
originalPayloadobject | nullrequired
slaBreachedbooleanrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/issues/batch' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ],
  "patch": {
    "title": "string",
    "externalRef": "string",
    "teamId": "string",
    "teamKey": "string",
    "description": "string",
    "status": "triage",
    "priority": "low",
    "resolution": "duplicate",
    "resolutionReason": "string",
    "parentId": "string",
    "subIssueSortOrder": 0,
    "estimate": 0,
    "isDraft": true,
    "sensitive": true,
    "templateId": "string",
    "snoozedUntil": "string",
    "assigneeId": "string",
    "delegateId": "string",
    "stepKey": "string",
    "required": true,
    "ownerAgent": "string",
    "projectId": "string",
    "cycleId": "string",
    "labelIds": [
      "string"
    ],
    "repo": "string",
    "branch": "string",
    "prUrl": "http://example.com",
    "prState": "draft",
    "stageGateOverride": {
      "reason": "string"
    }
  }
}'
Response
{
  "issues": [
    {
      "id": "string",
      "organizationId": "string",
      "externalRef": "string",
      "teamId": "string",
      "title": "string",
      "description": "string",
      "status": "triage",
      "priority": "low",
      "resolution": "duplicate",
      "resolutionReason": "string",
      "parentId": "string",
      "subIssueSortOrder": 0,
      "estimate": 0,
      "isDraft": true,
      "sensitive": true,
      "snoozedUntil": "string",
      "assigneeId": "string",
      "delegateId": "string",
      "stepKey": "string",
      "required": true,
      "ownerAgent": "string",
      "claimedBy": "string",
      "claimedLeaseExpiresAt": "string",
      "claimEpoch": 0,
      "projectId": "string",
      "cycleId": "string",
      "labelIds": [
        "string"
      ],
      "number": 0,
      "identifier": "string",
      "repo": "string",
      "branch": "string",
      "prUrl": "string",
      "prState": "string",
      "prCheckState": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "subStepProgress": {
        "total": 0,
        "done": 0,
        "blocked": 0,
        "ownerAgent": "string"
      }
    }
  ],
  "drafts": [
    {
      "id": "string",
      "organizationId": "string",
      "entityType": "string",
      "entityId": "string",
      "issueId": "string",
      "kind": "comment",
      "payload": {
        "property1": null,
        "property2": null
      },
      "status": "pending",
      "createdById": "string",
      "sessionId": "string",
      "reviewedById": "string",
      "reviewedAt": "string",
      "reviewNote": "string",
      "publishedCommentId": "string",
      "agentSlug": "string",
      "promptVersion": "string",
      "originalPayload": {
        "property1": null,
        "property2": null
      },
      "slaBreached": true,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?